Page MenuHomePhabricator

cr1-eqiad:ae4 is disabled due to VRRP issue
Closed, ResolvedPublic

Description

The uplink from row D to cr1-eqiad has been disabled for some time due to an issue with VRRP. When enabling, cr1-eqiad and cr2-eqiad both become VRRP master (conflict), likely because the row D switch stack dropping VRRP packets somehow.

As we're already working on replacing the row D switch entirely, and also moving row uplinks to new line cards, we can await for that to happen - or even use the cr1-eqiad side to connect the new row switch stack first.

Event Timeline

mark created this task.Oct 26 2016, 6:07 PM
Restricted Application added a project: Operations. · View Herald TranscriptOct 26 2016, 6:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
mark moved this task from Backlog to Configuration on the netops board.Nov 3 2016, 4:22 PM
faidon closed this task as Resolved.Nov 8 2016, 12:56 PM
faidon claimed this task.
faidon added a subscriber: faidon.

This VRRP issue was the case before the cr1/2-eqiad upgrade as well, so this was likely due to some asw-d-eqiad snafu (not propagating VRRP multicasts or something.

Since the cr1-eqiad (but not the cr2-eqiad) uplinks were moved to asw2-d-eqiad last week, the VRRP issue seems to have disappeared — and with the planned replacement of asw-d-eqiad entirely, it's unlikely it will appear again.

cr1-eqiad:ae4 is now back enabled and thus row D router redundancy has been restored.